package cn.com.ctop.kuaishou.modules.report.mapper;

import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;
import org.jeecg.common.api.vo.Result;

import java.math.BigDecimal;
import java.util.List;

public interface SalesBudgetMapper {
    List<JSONObject> bytedanceSalesReport(@Param("saleId") String saleId, @Param("statDate") Long statDate);

    List<JSONObject> kuaiShouSalesReport(@Param("saleId") String saleId, @Param("statDate") Long statDate);

    List<JSONObject> ocpxList(@Param("mediaId") String mediaId);

    void deleteInfo(@Param("projectId") Long projectId);

    void adds(@Param("list") List<JSONObject> list);

    BigDecimal getBudget(@Param("projectId") Long projectId);

    List<JSONObject> getBudgetList(@Param("projectId") Long projectId);

    List<JSONObject> getConfigs(Long projectId);
}
